package com.emr.dao;

import com.emr.entity.Emr_Fault_Type;

import java.util.List;

public interface Emr_Fault_TypeMapper {
    /**
     * 根据id删除记录
     * @param id
     * @return
     */
    int delById(Integer id);

    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(Emr_Fault_Type record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertClo(Emr_Fault_Type record);

    /**
     * 根据可选字段查询记录
     * @param record
     * @return
     */
    List<Emr_Fault_Type> selectByCol(Emr_Fault_Type record);
    /**
     * 取id最大的那条数据
     * @return
     */
    Emr_Fault_Type selectByColDesc();
    /**
     * 根据可选字段修改记录
     * @param record
     * @return
     */
    int updateByClo(Emr_Fault_Type record);

    /**
     * 根据主键修改记录
     * @param record
     * @return
     */
    int updateByPrimaryKey(Emr_Fault_Type record);

    /**
     * 根据id查询记录
     * @param id
     * @return
     */
    Emr_Fault_Type selectById(Integer id);

}